class IabConstants {
    // Billing response codes
    static    BILLING_RESPONSE_RESULT_OK = 0;
    static    BILLING_RESPONSE_RESULT_USER_CANCELED = 1;
    static    BILLING_RESPONSE_RESULT_BILLING_UNAVAILABLE = 3;
    static    BILLING_RESPONSE_RESULT_ITEM_UNAVAILABLE = 4;
    static    BILLING_RESPONSE_RESULT_DEVELOPER_ERROR = 5;
    static    BILLING_RESPONSE_RESULT_ERROR = 6;
    static    BILLING_RESPONSE_RESULT_ITEM_ALREADY_OWNED = 7;
    static    BILLING_RESPONSE_RESULT_ITEM_NOT_OWNED = 8;

    // IAB Helper error codes
    static    IABHELPER_ERROR_BASE = -1000;
    static    IABHELPER_REMOTE_EXCEPTION = -1001;
    static    IABHELPER_BAD_RESPONSE = -1002;
    static    IABHELPER_VERIFICATION_FAILED = -1003;
    static    IABHELPER_SEND_INTENT_FAILED = -1004;
    static    IABHELPER_USER_CANCELLED = -1005;
    static    IABHELPER_UNKNOWN_PURCHASE_RESPONSE = -1006;
    static    IABHELPER_MISSING_TOKEN = -1007;
    static    IABHELPER_UNKNOWN_ERROR = -1008;
    static    IABHELPER_SUBSCRIPTIONS_NOT_AVAILABLE = -1009;
    static    IABHELPER_INVALID_CONSUMPTION = -1010;

    // Keys for the responses from InAppBillingService
    static    RESPONSE_CODE = "RESPONSE_CODE";
    static    RESPONSE_GET_SKU_DETAILS_LIST = "DETAILS_LIST";
    static    RESPONSE_BUY_INTENT = "BUY_INTENT";
    static    RESPONSE_INAPP_PURCHASE_DATA = "INAPP_PURCHASE_DATA";
    static    RESPONSE_INAPP_SIGNATURE = "INAPP_DATA_SIGNATURE";
    static    RESPONSE_INAPP_ITEM_LIST = "INAPP_PURCHASE_ITEM_LIST";
    static    RESPONSE_INAPP_PURCHASE_DATA_LIST = "INAPP_PURCHASE_DATA_LIST";
    static    RESPONSE_INAPP_SIGNATURE_LIST = "INAPP_DATA_SIGNATURE_LIST";
    static    INAPP_CONTINUATION_TOKEN = "INAPP_CONTINUATION_TOKEN";

    // Item types
    static    ITEM_TYPE_INAPP = "inapp";
    static    ITEM_TYPE_SUBS = "subs";

    // some fields on the getSkuDetails response bundle
    static    GET_SKU_DETAILS_ITEM_LIST = "ITEM_ID_LIST";
    static    GET_SKU_DETAILS_ITEM_TYPE_LIST = "ITEM_TYPE_LIST";

}

module.exports = IabConstants;