class Purchase {

    constructor(jsonObject) {
        if (jsonObject !== null) {
            this.mItemType = jsonObject.mItemType;  // ITEM_TYPE_INAPP or ITEM_TYPE_SUBS
            this.mOrderId = jsonObject.mOrderId;
            this.mPackageName = jsonObject.mPackageName;
            this.mSku = jsonObject.mSku;
            this.mPurchaseTime = jsonObject.mPurchaseTime;
            this.mPurchaseState = jsonObject.mPurchaseState;
            this.mDeveloperPayload = jsonObject.mDeveloperPayload;
            this.mToken = jsonObject.mToken;
            this.mOriginalJson = jsonObject.mOriginalJson;
            this.mSignature = jsonObject.mSignature;
            this.mIsAutoRenewing = jsonObject.mIsAutoRenewing;
        }
    }


    get ItemType() {
        return this.mItemType;
    }

    get OrderId() {
        return this.mOrderId;
    }

    get PackageName() {
        return this.mPackageName;
    }

    get Sku() {
        return this.mSku;
    }

    get PurchaseTime() {
        return this.mPurchaseTime;
    }

    get PurchaseState() {
        return this.mPurchaseState;
    }

    get DeveloperPayload() {
        return this.mDeveloperPayload;
    }

    get Token() {
        return this.mToken;
    }

    get OriginalJson() {
        return this.mOriginalJson;
    }

    get Signature() {
        return this.mSignature;
    }

    get IsAutoRenewing() {
        return this.mIsAutoRenewing;
    }

    toString() {
        return "PurchaseInfo(type:" + this.mItemType + "):" + this.mOriginalJson;
    }

}

module.exports = Purchase;